package com.ruoyi.bst.teamUser.service.impl;

import com.ruoyi.bst.team.domain.Team;
import com.ruoyi.bst.team.domain.enums.TeamType;
import com.ruoyi.bst.team.service.TeamConverter;
import com.ruoyi.bst.teamUser.domain.TeamUser;
import com.ruoyi.bst.teamUser.service.TeamUserConverter;
import org.springframework.stereotype.Service;

@Service
public class TeamUserConverterImpl implements TeamUserConverter {
    @Override
    public TeamUser toPoByCreate(TeamUser data) {
        if (data == null) {
            return null;
        }
        TeamUser po = new TeamUser();
        // 设置基本信息
        po.setTeamId(data.getTeamId());
        return po;
    }

    @Override
    public TeamUser toPoByUpdate(TeamUser data) {
        if (data == null) {
            return null;
        }
        TeamUser po = new TeamUser();
        // 设置基本信息
        po.setId(data.getId());

        return po;
    }
}
